Subject: [Idr] New Version Notification for draft-hr-idr-rfc5575bis-02.txt

From: Christoph Loibl <[email-masked]>
Date: Thu, 17 Nov 2016 20:14:37 +0100

Hi,

We submitted an updated version of our draft and are happy to receive feedback:

Name:		draft-hr-idr-rfc5575bis
Revision:	02
Title:		Dissemination of Flow Specification Rules
Document date:	2016-11-16
Group:		Individual Submission
Pages:		31
URL:            https://www.ietf.org/internet-drafts/draft-hr-idr-rfc5575bis-02.txt
Status:         https://datatracker.ietf.org/doc/draft-hr-idr-rfc5575bis/
Htmlized:       https://tools.ietf.org/html/draft-hr-idr-rfc5575bis-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-hr-idr-rfc5575bis-02

The draft is meant to replace RFC5575, to correct unclear specifications in the flow filter types, redefine (clarify) the traffic-redirect action and add a traffic-rate-packets action. It also provides originally missing rules for interfering traffic filtering actions and corrects many smaller errors found in RFC5575.

This is the output of may discussions regarding flow specification scaling, stability and of a multi-vendor interop test performed. We joined forces in order to address many/all of the issues found.

See the abstact below.

Christoph

Abstract:
  This document updates RFC5575 which defines a Border Gateway Protocol
  Network Layer Reachability Information (BGP NLRI) encoding format
  that can be used to distribute traffic flow specifications.  This
  allows the routing system to propagate information regarding more
  specific components of the traffic aggregate defined by an IP
  destination prefix.  This draft specifies IPv4 traffic flow
  specifications via a BGP NLRI which carries traffic flow
  specification filter, and an Extended community value which encodes
  actions a routing system can take if the packet matches the traffic
  flow filters.  The flow filters and the actions are processed in a
  fixed order.  Other drafts specify IPv6, MPLS addresses, L2VPN
  addresses, and NV03 encapsulation of IP addresses.

  This document updates RFC5575 to correct unclear specifications in
  the flow filters and to provide rules for actions which interfere
  (e.g. redirection of traffic and flow filtering).

  Applications which use the bgp flow specification are: 1) application
  which automate of inter-domain coordination of traffic filtering,
  such as what is required in order to mitigate (distributed) denial-
  of-service attacks; 2) application which control traffic filtering in
  the context of a BGP/MPLS VPN service, and 3) applications with
  centralized control of traffic in a SDN or NFV context.  Some of
  deployments of these three applications can be handled by the strict
  ordering of the BGP NLRI traffic flow filters, and the strict actions
  encoded in the Extended Community Flow Specification actions.

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at